// JavaScript Document

math.import({
    exportVar: function (name, value) {
        config.scope[name] = value;
    },

    arcsin: function (x) {
        if (x == null) {
            var er = {};
            er.message = "Expected argument in function arcsin";
            throw er;
        }
        return math.eval('asin(' + x + ')');
    },

    arccos: function (x) {
        if (x == null) {
            var er = {};
            er.message = "Expected argument in function arccos"; throw er;
        }
        return math.eval('acos(' + x + ')');
    },

    arctan: function (x) {
        if (x == null) {
            var er = {};
            er.message = "Expected argument in function arctan"; throw er;
        }
        return math.eval('atan(' + x + ')');
    },

    arcsec: function (x) {
        if (x == null) {
            var er = {};
            er.message = "Expected argument in function arcsec"; throw er;
        }
        return math.eval('asec(' + x + ')');
    },

    arcsec2: function (x) {
        if (x == null) {
            var er = {};
            er.message = "Expected argument in function arcsec2"; throw er;
        }
        return math.eval('asec2(' + x + ')');
    },

    arccot: function (x) {
        if (x == null) {
            var er = {};
            er.message = "Expected argument in function arccot"; throw er;
        }
        return math.eval('acot(' + x + ')');
    },

    arccsc: function (x) {
        if (x == null) {
            var er = {};
            er.message = "Expected argument in function arccsc"; throw er;
        }
        return math.eval('acsc(' + x + ')');
    },

    arcsinh: function (x) {
        if (x == null) {
            var er = {};
            er.message = "Expected argument in function arcsinh"; throw er;
        }
        return math.eval('asinh(' + x + ')');
    },

    arccosh: function (x) {
        if (x == null) {
            var er = {};
            er.message = "Expected argument in function arccosh"; throw er;
        }
        return math.eval('acosh(' + x + ')');
    },

    arctanh: function (x) {
        if (x == null) {
            var er = {};
            er.message = "Expected argument in function arctanh"; throw er;
        }
        return math.eval('atanh(' + x + ')');
    },

    arcsech: function (x) {
        if (x == null) {
            var er = {};
            er.message = "Expected argument in function arcsech"; throw er;
        }
        return math.eval('asech(' + x + ')');
    },

    arccoth: function (x) {
        if (x == null) {
            var er = {};
            er.message = "Expected argument in function arccoth"; throw er;
        }
        return math.eval('acoth(' + x + ')');
    },

    arccsch: function (x) {
        if (x == null) {
            var er = {};
            er.message = "Expected argument in function arccsch"; throw er;
        }
        return math.eval('acsch(' + x + ')');
    },

    deriv: function (func, p) {
        if (func == null || p == null) {
            var er = {};
            er.message = "Expected argument in function deriv"; throw er;
        }
        return math.pointDiff(func, p);
    },
    integral: function (func, a, b) {
        if (func == null || a == null || b == null) {
            var er = {};
            er.message = "Expected argument in function integral"; throw er;
        }
        return integrate(func, a, b, 1e-8);
    },
    limL: function (func, x) {
        if (func == null || x == null) {
            var er = {};
            er.message = "Expected argument in function limL"; throw er;
        }
        return math.limit(func, x, "left");
    },
    limR: function (func, x) {
        if (func == null || x == null) {
            var er = {};
            er.message = "Expected argument in function limR"; throw er;
        }
        return math.limit(func, x, "right");
    },
    limM: function (func, x) {
        if (func == null || x == null) {
            var er = {};
            er.message = "Expected argument in function limM"; throw er;
        }
        return math.limit(func, x, "middle");
    },
});
math.import(numbers, { wrap: true, silent: true });


// ------Simbolic
Algebrite.run('sec(x)=1/cos(x)');
Algebrite.run('cot(x)=1/tan(x)');
Algebrite.run('csc(x)=1/sin(x)');
Algebrite.run('sech(x)=1/cosh(x)');
Algebrite.run('coth(x)=1/tanh(x)');
Algebrite.run('csch(x)=1/sinh(x)');
Algebrite.run('arccot(x)=arctan(1/x)');
Algebrite.run('arccoth(x)=arctanh(1/x)');
Algebrite.run('arcsec(x)=arccos(1/x)');
Algebrite.run('arcsech(x)=arccosh(1/x)');
Algebrite.run('arccsc(x)=arcsin(1/x)');
Algebrite.run('arccsch(x)=arcsinh(1/x)');

